<script>
    import LoadingScreen from './components/ui/LoadingScreen.vue'

    export default {
        components: { LoadingScreen },
        data: () => ({ isLoading: true }),
        mounted() { setTimeout(() => this.isLoading = false, 800) },
    }
</script>
<template>
    <div id="app">
        <transition name="fade">
            <loading-screen v-show="isLoading"/>
        </transition>
        <router-view v-show="!isLoading"/>
    </div>
</template>
